RhinoCommonでPolyline

RhinoプラグインでPolylineをどうやって描くか考えていたら、専用のAPIが用意されてた。(いろいろ面倒な処理が要るのかと思ってた)

GetPolyine()でコマンドと同等のPolylineの処理ができる。実に簡単。

プロンプトも指定できると良いんだけどな。

// 現在開いている.3dmを取得
var doc = Rhino.RhinoDoc.ActiveDoc;

Polyline polyline;
Result result = RhinoGet.GetPolyline(out polyline);
var guid = doc.Objects.AddPolyline(polyline);
if (guid != Guid.Empty)
{
    doc.Views.Redraw();//再描画

    var obj = doc.Objects.Find(guid);//たったいま作図したオブジェクトを取得
    if (null == obj)
        return;

    // 処理が必要なら、ここで処理
}

動作環境

以下の環境で動作を確認しています。
Windows10 Pro(64bit, 20H2)
Visual Studio Professional 2019(16.8.6)
Rhino 7(7.3.21039.11201, 2021/02/08)


コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です